###############################################################################
# Zodiac.pl                                                                  #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2.4                                                    #
# Packaged:       April 12, 2009                                              #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2009 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by:  The YaBB Development Team                                     #
#               with assistance from the YaBB community.                      #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
###############################################################################

$zodiacplver = 'YaBB 2.4 $Revision: 1.0 $';

LoadLanguage('Zodiac');
$zodext = "gif";

sub get_zodiac {
	my ($memdate, $type) = @_;
	if (!$type || $type eq ""){ $type = "icon"; }
	my $outsign = "";
	if ($memdate eq ""){ return; }
	my ($memmonth, $memday, $dummy) = split ('/', $memdate);
	if (($memmonth == 1 && $memday >= 21) || ($memmonth == 2 && $memday < 20)) {
		$memsign = "aquarius";
	}
	elsif (($memmonth == 2 && $memday >= 20) || ($memmonth == 3 && $memday < 21)) {
		$memsign = "pisces";
	}
	elsif (($memmonth == 3 && $memday >= 21) || ($memmonth == 4 && $memday < 21)) {
		$memsign = "aries";
	}
	elsif (($memmonth == 4 && $memday >= 21) || ($memmonth == 5 && $memday < 22)) {
		$memsign = "taurus";
	}
	elsif (($memmonth == 5 && $memday >= 22) || ($memmonth == 6 && $memday < 22)) {
		$memsign = "gemini";
	}
	elsif (($memmonth == 6 && $memday >= 22) || ($memmonth == 7 && $memday < 24)) {
		$memsign = "cancer";
	}
	elsif (($memmonth == 7 && $memday >= 24) || ($memmonth == 8 && $memday < 24)) {
		$memsign = "leo";
	}
	elsif (($memmonth == 8 && $memday >= 24) || ($memmonth == 9 && $memday < 24)) {
		$memsign = "virgo";
	}
	elsif (($memmonth == 9 && $memday >= 24) || ($memmonth == 10 && $memday < 24)) {
		$memsign = "libra";
	}
	elsif (($memmonth == 10 && $memday >= 24) || ($memmonth == 11 && $memday < 23)) {
		$memsign = "scorpio";
	}
	elsif (($memmonth == 11 && $memday >= 23) || ($memmonth == 12 && $memday < 22)) {
		$memsign = "sagittarius";
	}
	elsif (($memmonth == 12 && $memday >= 22) || ($memmonth == 1 && $memday < 21)) {
		$memsign = "capricorn";
	}
	if ($type eq "icon"){
		$outsign = qq~<span style="vertical-align: middle;">$zodiac_txt{'sign'}:</span> <img style="vertical-align: middle;" src="$modimgurl/Zodiac/$memsign.$zodext" align="top" alt="$zodiac_txt{$memsign}" title="$zodiac_txt{$memsign}" /><br />~ if $showzodiac;
	} else {
		$outsign = $zodiac_txt{$memsign};
	}
	return $outsign;
}

1;
